Page MenuHomePhabricator

[Clang] Define Fuchsia C++ABI
ClosedPublic

Authored by phosek on Nov 21 2019, 4:07 PM.

Details

Summary

It is a modified version of the Itanium ABI. The only change is that
constructors and destructors return 'this'.

Diff Detail

Event Timeline

phosek created this revision.Nov 21 2019, 4:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 21 2019, 4:07 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
leonardchan added a comment.EditedNov 21 2019, 5:38 PM

Could you add a test to show that with a fuchsia target we end up returning this from constructors + destructors and ensure that this ABI is used?

phosek updated this revision to Diff 230827.Nov 24 2019, 4:18 PM

Could you add a test to show that with a fuchsia target we end up returning this from constructors + destructors and ensure that this ABI is used?

Done

leonardchan accepted this revision.Nov 25 2019, 10:09 AM
This revision is now accepted and ready to land.Nov 25 2019, 10:09 AM
This revision was automatically updated to reflect the committed changes.